diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index a1d44a1..f3fc647 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -10692,629 +10692,991 @@ relatively insensitive to the multiplicities of the square-free factors.
 
 \subsection{To Be Classified} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 82]{Kalt82} Kaltofen, E.
-``On the complexity of factoring polynomials with integer coefficients''
-PhD thesis, Rensselaer Polytechnic Instit. Troy, N.Y. Dec (1982)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_thesis.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt82.pdf|
+\begin{chunk}{axiom.bib}
+@PhdThesis{Kalt82,
+  author = "Kaltofen, E.",
+  title = "On the complexity of factoring polynomials with integer coefficients",
+  school = "RPI",
+  address = "Troy, N. Y.",
+  year = "1982",
+  month = "December",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_thesis.pdf",
+  paper = "Kalt82.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 82a]{Kalt82a} Kaltofen, E.
-``A polynomial-time reduction from bivariate to univariate integral polynomial factorization''
-Proc. 23rd Annual Symp. Foundations of Comp. Sci pp 57-64 IEEE (1982)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_focs.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt82a.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt82a,
+  author = "Kaltofen, E.",
+  title = "A polynomial-time reduction from bivariate to univariate integral polynomial factorization",
+  booktitle = "Proc. 23rd Annual Symp. Foundations of Comp. Sci.",
+  year = "1982",
+  pages = "57--64",
+  organization = "IEEE",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_focs.pdf",
+  paper = "Kalt82a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 82b]{Kalt82b} Kaltofen, E.
-``Polynomial Factorization''
-B. Buchberger, G. Collins, and R. Loos, editors, Computer Algebra pp 95-113
-Springer-Verlag Germany 2nd ed (1982)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_survey.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt82b.ps|
- keywords = "survey",
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt82b,
+  author = "Kaltofen, E.",
+  title = "Polynomial factorization",
+  editor = "B. Buchberger and G. Collins and R. Loos",
+  booktitle = "Computer Algebra",
+  edition = "2",
+  pages = "95--113",
+  publisher = "Springer-Verlag",
+  year = "1982",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/82/Ka82_survey.ps.gz",
+  keywords = "survey",
+  paper = "Kalt82b.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 83]{Kalt83} Kaltofen, E.
-``On the complexity of finding short vectors in integer lattices''
-Proc. EUROCAL'83 Vol 162 of LNCS, pp 236-244, Heidelberg, Germany,
-Springer-Verlag (1983)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/83/Ka83_eurocal.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt83.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt83,
+  author = "Kaltofen, E.",
+  title = "On the complexity of finding short vectors in integer lattices",
+  booktitle = "Proc. EUROCAL '83",
+  series = "Lect. Notes Comput. Sci.",
+  year = "1983",
+  volume = "162",
+  pages = "236--244",
+  publisher = "Springer-Verlag",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/83/Ka83_eurocal.pdf",
+  paper = "Kalt83.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 84]{Kalt84} Kaltofen, E.
-``A Note on the Risch Differential Equation''
-Proc. EUROSAM pp 359-366 (1984)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_risch.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt84.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt84,
+  author = "Kaltofen, E.",
+  title = "A Note on the {Risch} Differential Equation",
+  booktitle = "Proc. EUROSAM '84",
+  pages = "359--366",
+  crossref = "EUROSAM84",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_risch.ps.gz",
+  paper = "Kalt84.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 84a]{Kalt84a} Kaltofen, E.; Yui, N.
-``Explicit construction of the Hilbert class field of imaginary quadratic
-fields with class number 7 and 11''
-Proc. EUROSAM'84 pp 310-320
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt84a.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt84a,
+  author = "Kaltofen, E. and Yui, N.",
+  title = "Explicit construction of the {Hilbert} class field of imaginary quadratic fields with class number 7 and 11",
+  booktitle = "Proc. EUROSAM '84",
+  pages = "310--320",
+  crossref = "EUROSAM84",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/84/KaYui84_eurosam.ps.gz",
+  paper = "Kalt84a.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 84b]{Kalt84b} Kaltofen, E.
-``The algebraic theory of integration''
-Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. troy, NY 1984
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt84b.pdf|
+\begin{chunk}{axiom.bib}
+@TechReport{Kalt84b,
+  author = "Kaltofen, E.",
+  title = "The Algebraic Theory of Integration",
+  institution = "RPI",
+  address = "Dept. Comput. Sci., Troy, New York",
+  year = "1984",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/84/Ka84_integration.pdf",
+  paper = "Kalt84b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85]{Kalt85} Kaltofen, E.
-``Effective Hilbert irreducibility''
-Information and Control, 66 pp 123-137 (1985)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt85,
+  author = "Kaltofen, E.",
+  title = "Effective {Hilbert} Irreducibility",
+  booktitle = "Proc. EUROSAM '84",
+  pages = "275--284",
+  crossref = "EUROSAM84",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_infcontr.ps.gz",
+  paper = "Kalt85.ps"
+}
+ 
+\end{chunk}
+
+\begin{chunk}{axiom.bib}
+@Article{Kalt85a,
+  author = "Kaltofen, E.",
+  title = "Fast parallel absolute irreducibility testing",
+  journal = "Journal of Symbolic Computation",
+  year = "1985",
+  volume = "1",
+  number = "1",
+  pages = "57--67",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_jsc.pdf",
+  paper = "Kalt85a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85a]{Kalt85a} Kaltofen, E.
-``Fast parallel absolute irreducibility testing''
-J. Symbolic Comput. 1(1) pp 57-67 (1985)
-Corrections: J. Symbolic Comput. vol 9 p 320 (1989)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_jsc.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85a.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt85b,
+  author = "Kaltofen, E.",
+  title = "Computing with polynomials given by straight-line programs {II}; sparse factorization",
+  booktitle = "Proc. 26th Annual Symp. Foundations of Comp. Sci.",
+  year = "1985",
+  pages = "451--458",
+  organization = "IEEE",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_focs.ps.gz",
+  paper = "Kalt85b.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85b]{Kalt85b} Kaltofen, E.
-``Computing with polynomials given by straight-line programs II; sparse 
-factorization''
-Proc. 26th Annual Symp. Foundations of Comp. Sci. pp 451-458 IEEE (1985)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_focs.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85b.ps|
+\begin{chunk}{axiom.bib}
+@TechReport{Kalt85c,
+  author = "E. Kaltofen",
+  title = "Sparse Hensel lifting",
+  institution = "RPI",
+  address = "Dept. Comput. Sci., Troy, N. Y.",
+  year = "1985",
+  number = "85-12",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_techrep.pdf",
+  paper = "Kalt85c.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85c]{Kalt85c} Kaltofen, E.
-``Sparse Hensel lifting''
-Technical Report 85-12, Rensselaer Polytechnic Instit. Dept. Comp. Sci.,
-Troy, NY 1985
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_techrep.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85c.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt85d,
+  author = "Kaltofen, E.",
+  title = "Sparse Hensel lifting",
+  booktitle = "EUROCAL 85 European Conf. Comput. Algebra Proc. Vol. 2",
+  crossref = "EUROCAL85",
+  pages = "4--17",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_eurocal.pdf",
+  paper = "Kalt85d.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85d]{Kalt85d} Kaltofen, E.
-``Sparse Hensel lifting''
-EUROCAL 85 European COnf. Comput. Algebra Proc. Vol 2 pp 4-17
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_eurocal.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85d.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt85e,
+  author = "Kaltofen, E.",
+  title = "Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization",
+  journal = "{SIAM} J. Comput.",
+  year = "1985",
+  volume = "14",
+  number = "2",
+  pages = "469--489",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_sicomp.pdf",
+  paper = "Kalt85e.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 85e]{Kalt85e} Kaltofen, E.
-``Polynomial-time reductions from multivariate to bi- and univariate integral polynomial factorization''
-SIAM J. Comput. 14(2) pp 469-489 (1985)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/Ka85_sicomp.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt85e.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Gath85,
+  author = "Gathen, Joachim von zur; Kaltofen, E.",
+  title = "Factoring sparse multivariate polynomials",
+  journal = "J. Comput. System Sci.",
+  year = "1985",
+  volume = "31",
+  pages = "265--287",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz",
+  paper = "Gath85.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gathen 85]{Gath85} Gathen, Joachim von zur; Kaltofen, E.
-``Factoring multivariate polynomials over finite fields''
-Math. Comput. 45 pp 251-261 (1985)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/85/GaKa85_mathcomp.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Gath85.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt86,
+  author = "Kaltofen, E.",
+  title = "Uniform closure properties of p-computable functions",
+  booktitle = "Proc. 18th Annual ACM Symp. Theory Comput.",
+  year = "1986",
+  pages = "330--337",
+  organization = "ACM",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/86/Ka86_stoc.pdf",
+  paper = "Kalt86.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 86]{Kalt86} Kaltofen, E.
-``Uniform closure properties of p-computable functions''
-Proc. 18th Annual ACM Symp. Theory Comput. pp 330-337 ACM (1986)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/86/Ka86_stoc.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt86.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt87,
+  author = "Kaltofen, E. and Krishnamoorthy, M.S. and Saunders, B.D.",
+  title = "Fast parallel computation of Hermite and Smith forms of polynomial matrices",
+  journal = "SIAM J. Alg. Discrete Math.",
+  year = "1987",
+  volume = "8",
+  pages = "683--690",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/KKS87.pdf",
+  paper = "Kalt87.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 87]{Kalt87} Kaltofen, E.; Krishnamoorthy, M.S.; 
-Saunders, B.D.
-``Fast parallel computation of Hermite and Smith forms of polynomial matrices''
-SIAM J. Alg. Discrete Math. 8 pp 683-690 (1987)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/KKS87.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt87.pdf|
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt87a,
+  author = "Kaltofen, E.",
+  editor = "J. F. Traub",
+  title = "Computer algebra algorithms",
+  booktitle = "Annual Review in Computer Science",
+  pages = "91--118",
+  publisher = "Annual Reviews Inc.",
+  year = "1987",
+  volume = "2",
+  address = "Palo Alto, California",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_annrev.pdf",
+  paper = "Kalt87a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 87a]{Kalt87a} Kaltofen, E.
-``Computer algebra algorithms''
-in J.F. Traub, ed. Annual Review in Computer Science, vol 2 pp 91-118
-Annual Reviews Inc. Palo Alto, CA 1987
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_annrev.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt87a.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt87b,
+  author = "Kaltofen, E.",
+  title = "Single-factor Hensel lifting and its application to the straight-line complexity of certain polynomials",
+  booktitle = "Proc. 19th Annual ACM Symp. Theory Comput.",
+  year = "1987",
+  pages = "443--452",
+  organization = "ACM",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_stoc.pdf",
+  paper = "Kalt87b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 87b]{Kalt87b} Kaltofen, E.
-``Single-factor Hensel lifting and its application to the straight-line
-complexity of certain polynomial.''
-Proc. 19th Annual ACM Symp. Theory Comput. pp 443-452 ACM 1987
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_stoc.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt87b.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt87c,
+  author = "Kaltofen, E.",
+  title = "Deterministic irreducibility testing of polynomials over large finite fields",
+  journal = "Journal of Symbolic Computation",
+  year = "1987",
+  volume = "4",
+  pages = "77--82",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_jsc.ps.gz",
+  paper = "Kalt87c.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 87c]{Kalt87c} Kaltofen, E.
-``Deterministic irreducibility testing of polynomials over large finite fields''
-J. Symbolic Comput. 4 pp 77-82 (1987)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/87/Ka87_jsc.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt87c.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt88,
+  author = "Kaltofen, E. and Trager, B.",
+  title = "Computing with polynomials given by black boxes for their evaluations: Greatest common divisors, factorization, separation of numerators and denominators",
+  booktitle = "Proc. 29th Annual Symp. Foundations of Comp. Sci.",
+  pages = "296--305",
+  year = "1988",
+  organization = "IEEE",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/focs88.ps.gz",
+  paper = "Kalt88.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 88]{Kalt88} Kaltofen, E.; Trager, B.
-``Computing with polynomials given by black boxes for their evaluations: 
-Greatest common divisors, factorization, separation of numerators and 
-denominators''
-Proc. 29th Annual Symp. Foundations of Comp. Sci. pp 296-305 IEEE (1988)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/focs88.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt88.ps|
+\begin{chunk}{axiom.bib}
+@Article{Mill88,
+  author = "Miller, G.L. and Ramachandran, V. and Kaltofen, E.",
+  title = "Efficient parallel evaluation of straight-line code and arithmetic circuits",
+  journal = "SIAM J. Comput.",
+  year = "1988",
+  volume = "17",
+  number = "4",
+  pages = "687--695",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/MRK88.pdf",
+  paper = "Mill88.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Miller 88]{Mill88} Miller, G.L.; Ramachandran, V.; Kaltofen, E.
-``Efficient parallel evaluation of straight-line code and arithmetic circuits''
-SIAM J. Comput. 17(4) pp 687-695 (1988)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/MRK88.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Mill88.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt88a,
+  author = "Kaltofen, E. and Yagati, Lakshman",
+  title = "Improved sparse multivariate polynomial interpolation algorithms",
+  booktitle = "Symbolic Algebraic Comput. Internat. Symp. ISSAC '88 Proc.",
+  crossref = "ISSAC88",
+  pages = "467--474",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/KaLa88.pdf",
+  paper = "Kalt88a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 88a]{Kalt88a} Kaltofen, E.; Yagati, Lakshman
-``Improved sparse multivariate polynomial interpolation algorithms''
-in Symbolic Algebraic Comput. Internat. Symp. ISSAC'88 pp 467-474
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/KaLa88.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt88a.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt88b,
+  author = "Kaltofen, E.",
+  title = "Greatest common divisors of polynomials given by straight-line programs",
+  journal = "J. ACM",
+  year = "1988",
+  volume = "35",
+  number = "1",
+  pages = "231--264",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/Ka88_jacm.pdf",
+  paper = "Kalt88b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 88b]{Kalt88b} Kaltofen, E.
-``Greatest common divisors of polynomials given by straight-line programs''
-J. ACM 35(1) pp 231-264 (1988)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/Ka88_jacm.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt88b.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Free88,
+  author = "Freeman, T.S. and Imirzian, G. and Kaltofen, E. and Yagati, Lakshman",
+  title = "DAGWOOD: A system for manipulating polynomials given by straight-line programs",
+  journal = "ACM Trans. Math. Software",
+  year = "1988",
+  volume = "14",
+  number = "3",
+  pages = "218--240",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/FIKY88.pdf",
+  paper = "Free88.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Freeman 88]{Free88} Freeman, T.S.; Imirzian, G.; Kaltofen, E.;
-Yagati, Lakshman
-``DAGWOOD: A system for manipulating polynomials given by straight-line
-programs''
-ACM Trans. Math. Software 14(3) pp 218-240 (1988)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/FIKY88.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Free88.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Greg88,
+  author = "Gregory, B.; Kaltofen, E.",
+  title = "Analysis of the binary complexity of asymptotically fast algorithms for linear system solving",
+  journal = ""SIGSAM Bulletin",
+  year = "1988",
+  month = "April",
+  volume = "22",
+  number = "2",
+  pages = "41--49",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/88/GrKa88.pdf",
+  paper = "Grey88.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Gregory 88]{Greg88} Gregory, B.; Kaltofen, E.
-``Analysis of the binary complexity of asymptotically fast algorithms for
-linear system solving''
-SIGSAM Bulletin 22(2) pp 41-49 (1988)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/88/GrKa88.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Greg88.pdf|
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt89,
+  author = "Kaltofen, E.",
+  editor = "S. Micali",
+  title = "Factorization of polynomials given by straight-line programs",
+  booktitle = "Randomness and Computation",
+  pages = "375--412",
+  publisher = "JAI Press Inc.",
+  year = "1989",
+  volume = "5",
+  series = "Advances in Computing Research",
+  address = "Greenwhich, Connecticut",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_slpfac.pdf",
+  paper = "Kalt89.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 89]{Kalt89} Kaltofen, E.
-``Factorization of polynomials given by straight-line programs''
-in S. Micali ed. Randomness and Computation, Vol 5 of Advances in Computer
-Research, pp 375-412, JAI Press, Greenwhich, CT 1989
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_slpfac.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt89.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt89a,
+  author = "Kaltofen, E.; Rolletschek, H.",
+  title = "Computing greatest common divisors and factorizations in quadratic number fields",
+  journal = "Math. Comput.",
+  year = "1989",
+  volume = "53",
+  number = "188",
+  pages = "697--720",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/KaRo89.pdf",
+  paper = "Kalt89a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 89a]{Kalt89a} Kaltofen, E.; Rolletschek, H.
-``Computing greatest common divisors and factorizations in quadratic number 
-fields''
-Math. Comput. 53(188) pp 697-720 (1989)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KaRo89.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt89a.pdf|
+\begin{chunk}{axiom.bib}
+@Unpublished{Kalt89b,
+  author = "Kaltofen, E.",
+  title = "Processor efficient parallel computation of polynomial greatest common divisors",
+  year = "1989",
+  month = "July",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_gcd.ps.gz",
+  paper = "Kalt89b.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 89b]{Kalt89b} Kaltofen, E.
-``Processor efficient parallel computation of polynomial greatest common 
-divisors''
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_gcd.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt89b.ps|
+\begin{chunk}{axiom.bib}
+@TechReport{Kalt89c,
+  author = "Kaltofen, E.",
+  title = "Parallel Algebraic Algorithm Design",
+  institution = "RPI",
+  address = "Dept. Comput. Sci., Troy, New York",
+  year = "1989",
+  month = "July",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz",
+  paper = "Kalt89c.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 89c]{Kalt89c} Kaltofen, E.
-``Parallel algebraic algorithm design''
-Lect. Notes, Rensselaer Polytechnic Instit. Dept. Comput. Sci. Troy, NY
-(1989); Tutorial 1989 Int. Symp. Symb. Algebraic Comput. Portland, OR
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/Ka89_parallel.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt89c.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Cann89,
+  author = "Canny, J. and Kaltofen, E. and Yagati, Lakshman",
+  title = "Solving systems of non-linear polynomial equations faster",
+  booktitle = "Proc. 1989 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC89",
+  pages = "121--128",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/CKL89.pdf",
+  paper = "Cann89.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Canny 89]{Cann89} Canny, J.; Kaltofen, E.; Yagati, Lakshman
-``Solving systems of non-linear polynomial equations faster''
-Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 121-128
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/CKL89.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Cann89.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt89d,
+  author = "Kaltofen, E. and Valente, T. and Yui, N.",
+  title = "An improved {Las Vegas} primality test",
+  booktitle = "Proc. 1989 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC89",
+  pages = "26--33",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/89/KVY89.pdf",
+  paper = "Kalt89d.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 89d]{Kalt89d} Kaltofen, E.; Valente, T.; Yui, N.
-``An improved Las Vegas primality test''
-Proc 1989 Int. Symp. Symbolic Algebraic Comput. (ISSAC'89) pp 26-33
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/89/KVY89.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt89d.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt90,
+  author = "Kaltofen, E. and Lakshman, Y.N. and Wiley, J.M.",
+  editor = "S. Watanabe and M. Nagata",
+  title = "Modular rational sparse multivariate polynomial interpolation",
+  booktitle = "Proc. 1990 Internat. Symp. Symbolic Algebraic Comput.",
+  pages = "135--139",
+  publisher = "ACM Press",
+  year = "1990",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/KLW90.pdf",
+  paper = "Kalt90.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 90]{Kalt90} Kaltofen, E.; Lakshman, Y.N.; Wiley, J.M.
-``Modular rational sparse multivariate polynomial inerpolation''
-ISSAC'90 pp 135-139 ACM Press (1990)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KLW90.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt90.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt90a,
+  author = "Kaltofen, E. and Krishnamoorthy, M.S. and Saunders, B.D.",
+  title = "Parallel algorithms for matrix normal forms",
+  journal = "Linear Algebra and Applications",
+  year = "1990",
+  volume = "136",
+  pages = "189--208",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/KKS90.pdf",
+  paper = "Kalt90a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 90a]{Kalt90a} Kaltofen, E.; Krishnamoorthy, M.S.;
-Saunders, B.D.
-``Parallel algorithms for matrix normal forms''
-Linear Algebra and Applications 136 pp 189-208 (1990)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KKS90.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt90a.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt90b,
+  author = "Kaltofen, E.",
+  title = "Computing the irreducible real factors and components of an algebraic curve",
+  journal = "Applic. Algebra Engin. Commun. Comput.",
+  year = "1990",
+  volume = "1",
+  number = "2",
+  pages = "135--148",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_aaecc.pdf",
+  paper = "Kalt90b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 90b]{Kalt90b} Kaltofen, E.
-``Computing the irreducible real factors and components of an algebraic
-curve''
-Applic. Algebra Engin. Commun. Comput. 1(2) pp 135-148 (1990)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_aaecc.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt90b.pdf|
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt90c,
+  author = "Kaltofen, E.",
+  editor = "D. V. Chudnovsky and R. D. Jenks",
+  title = "Polynomial Factorization 1982-1986",
+  booktitle = "Computers in Mathematics",
+  pages = "285--309",
+  publisher = "Marcel Dekker, Inc.",
+  year = "1990",
+  volume = "125",
+  series = "Lecture Notes in Pure and Applied Mathematics",
+  address = "New York, N. Y.",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_survey.ps.gz",
+  keywords = "survey",
+  paper = "Kalt90c.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 90c]{Kalt90c} Kaltofen, E.
-``Polynomial factorization 1982-1986''
-in D.V. Chudnovsky and R.D. Jenks (ed) Computers in Mathematics vol 125
-of Lecture Notes in Pure and Applied Mathematics pp 285-309 Marcel
-Dekker, Inc NY, 1990
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/Ka90_survey.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt90c.ps|
- keywords = "survey",
+\begin{chunk}{axiom.bib}
+@Article{Kalt90d,
+  author = "Kaltofen, E.; Trager, B.",
+  title = "Computing with polynomials given by black boxes for their evaluations: Greatest common divisors, factorization, separation of numerators and denominators",
+  journal = "J. Symbolic Comput.",
+  year = "1990",
+  volume = "9",
+  number = "3",
+  pages = "301--320",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/90/KaTr90.pdf",
+  paper = "Kalt90d.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 90d]{Kalt90d} Kaltofen, E.; Trager, B.
-``Computing with polynomials given by black boxes for their evaluations: 
-Greatest common divisors, factorization, separation of numerators and
-denominators''
-J. Symbolic Comput. 9(3) pp 301-320 (1990)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/90/KaTr90.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt90d.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt91,
+  author = "Kaltofen, E. and Saunders, B.D.",
+  editor = "H. F. Mattson and T. Mora and T. R. N. Rao",
+  title = "On {Wiedemann's} method of solving sparse linear systems",
+  booktitle = "Proc. AAECC-9",
+  series = "Lect. Notes Comput. Sci.",
+  volume = "539",
+  pages = "29--38",
+  publisher = "Springer-Verlag",
+  year = "1991",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaSa91.pdf",
+  paper = "Kalt91.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 91]{Kalt91} Kaltofen, E.; Saunders, B.D.
-``On Wiedemann's method of solving sparse linear systems''
-in H.F.Mattson, T.Mora, and T.R.N. Rao (ed) Proc. AAECC-9 Vol 539
-LNCS pp 29-38 Heidelberg, Germany 1991 Springer-Verlag
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSa91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt91.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt91a,
+  author = "Kaltofen, E. and Singer, M.F.",
+  editor = "D. V. Shirkov and V. A. Rostovtsev and V. P. Gerdt",
+  title = "Size efficient parallel algebraic circuits for partial derivatives",
+  booktitle = "IV International Conference on Computer Algebra in Physical Research",
+  pages = "133--145",
+  publisher = "World Scientific Publ. Co.",
+  year = "1991",
+  address = "Singapore",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaSi91.pdf",
+  paper = "Kalt91a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 91a]{Kalt91a} Kaltofen, E.; Singer, M.F.
-``Size efficient parallel algebraic circuits for partial derivatives''
-in D.V. Shirkov, V.A.Rostovtsev, and V.P.Gerdt (ed) IV Int. Conf. on
-Computer Algebra in Physical Research pp 133-145 Singapore 1991
-World Scientific Publ. Co.
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaSi91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt91a.pdf|
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt91b,
+  author = "Kaltofen, E. and Yui, N.",
+  editor = "D. V. Chudnovsky and G. V. Chudnovsky and H. Cohn and M. B. Nathanson",
+  title = "Explicit construction of {Hilbert} class fields of imaginary quadratic fields by integer lattice reduction",
+  booktitle = "Number Theory New York Seminar 1989--1990",
+  pages = "150--202",
+  publisher = "Springer-Verlag",
+  year = "1991",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaYui91.pdf",
+  paper = "Kalt91b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 91b]{Kalt91b} Kaltofen, E.; Yui, N.
-``Explicit construction of Hilbert class fields of imaginary quadratic
-fields by integer lattice reduction''
-in D.V. Chudnovsky, G.V. Chudnovsky, H. Cohn, and M.B. Nathason (ed)
-Number Theory New York Seminar 1989-1990 pp 150-202 Springer-Verlag
-Heidelberg, Germany 1991
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaYui91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt91b.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Diaz91,
+  author = "Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.",
+  title = "DSC A System for Distributed Symbolic Computation",
+  booktitle = "Proc. 1991 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC91",
+  pages = "323--332",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/DKSV91.pdf",
+  paper = "Diaz91.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Diaz 91]{Diaz91} Diaz, A.; Kaltofen,E.; Schmitz, K.; Valente, T.
-``DSC A system for distributed symbolic computation''
-ISSAC'91 pp 323-332
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/DKSV91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Diaz91.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt91c,
+  author = "Kaltofen, E. and Pan, V.",
+  title = "Processor efficient parallel solution of linear systems over an abstract field",
+  booktitle = "Proc. SPAA '91 3rd Ann. ACM Symp. Parallel Algor. Architecture",
+  pages = "180--191",
+  publisher = "ACM Press",
+  year = "1991",
+  address = "New York, N.Y.",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/KaPa91.pdf",
+  paper = "Kalt91c.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 91c]{Kalt91c} Kaltofen, E.; Pan, V.
-``Processor efficient parallel solution of linear systems over an abstract
-field''
-Proc. SPAA'91 3rd Ann. ACM Symp. Parallel Algor. Architecture, pp 180-191,
-NY (1991) ACM Press
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/KaPa91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt91c.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Cant91,
+  author = "Cantor, D.G. and Kaltofen, E.",
+  title = "On fast multiplication of polynomials over arbitrary algebras",
+  journal = "Acta Inform.",
+  year = "1991",
+  volume = "28",
+  number = "7",
+  pages = "693--701",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/91/CaKa91.pdf",
+  paper = "Cant91.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Cantor 91]{Cant91} Cantor, D.G.; Kaltofen, E.
-``On fast multiplication of polynomials over arbitrary algebras''
-Acta Inform. 28(7) pp 693-701 (1991)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/91/CaKa91.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Cant91.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt92,
+  author = "Kaltofen, E. and Pan, V.",
+  title = "Processor-efficient parallel solution of linear systems {II}: the positive characteristic and singular cases",
+  booktitle = "Proc. 33rd Annual Symp. Foundations of Comp. Sci."
+  year = "1992",
+  pages = "714--723",
+  publisher = "IEEE Computer Society Press",
+  address = "Los Alamitos, California",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/92/KaPa92.pdf",
+  paper = "Kalt92.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 92]{Kalt92} Kaltofen, E.; Pan, V.
-``Processor-efficient parallel solution of linear systems II: the positive
-characteristic and singular cases''
-Proc. 33rd Annual Symp. Foundations of Comp. Sci. pp 714-723, Los Alamitos,
-CA (1992) IEEE Computer Society Press
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/KaPa92.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt92.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt92a,
+  author = "Kaltofen, E.",
+  title = "On computing determinants of matrices without divisions",
+  booktitle = "Proc. 1992 Internat. Symp. Symbolic Algebraic Comput."
+  crossref = "ISSAC92",
+  pages = "342--349",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_issac.pdf",
+  paper = "Kalt92a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 92a]{Kalt92a} Kaltofen, E.
-``On computing determinants of matrices without divisions''
-ISSAC'92 pp 342-349 (1992)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_issac.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt92a.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt92b,
+  author = "Kaltofen, E.",
+  title = "Polynomial factorization 1987-1991",
+  booktitle = "Proc. LATIN '92",
+  editor = "I. Simon",
+  series = "Lect. Notes Comput. Sci.",
+  volume = "583",
+  pages = "294--313",
+  publisher = "Springer-Verlag",
+  year = "1992",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_latin.pdf",
+  keywords = "survey",
+  paper = "Kalt92b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 92b]{Kalt92b} Kaltofen, E.
-``Polynomial factorization 1987-1991''
-I.Simon (ed) Proc. LATIN'92 Vol 583 of LNCS pp 294-313 Heidelberg,
-Germany (1992) Springer-Verlag
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/92/Ka92_latin.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt92b.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt93,
+  author = "Kaltofen, E.",
+  title = "Computational Differentiation and Algebraic Complexity Theory",
+  booktitle = "Workshop Report on First Theory Institute on Computational Differentiation",
+  editor = "C. H. Bischof and A. Griewank and P. M. Khademi",
+  publisher = "Argonne National Laboratory",
+  address = "Argonne, Illinois",
+  series = "Tech. Rep.",
+  volume = "ANL/MCS-TM-183",
+  month = "December",
+  year = "1993",
+  pages = "28--30",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_diff.pdf",
+  paper = "Kalt93.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 93]{Kalt93} Kaltofen, E.
-``Computational differentiation and algebraic complexity theory''
-in C.H.Bischof, A.Griewantk, and P.M.Khademi (ed) Workshop Report on First
-Theory Institute on Computational Differentiation, Vol ANL/MCS-TM-183
-of Tech. Rep. pp 28-30 Argone, IL, Argonne National Lab
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_diff.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt93.pdf|
+\begin{chunk}{axiom.bib}
+@InCollection{Kalt93a,
+  author = "Kaltofen, E.",
+  editor = "J. Reif",
+  title = "Dynamic parallel evaluation of computation {DAG}s",
+  booktitle = "Synthesis of Parallel Algorithms",
+  pages = "723--758",
+  publisher = "Morgan Kaufmann Publ.",
+  year = "1993",
+  address = "San Mateo, California",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz",
+  paper = "Kalt93a.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 93a]{Kalt93a} Kaltofen, E.
-``Dynamic parallel evaluation of computational DAGs''
-in J. Reif (ed) Synthesis of Parallel Algorithms pp 723-758 Morgan Kaufmann
-Publ. San Mateo CA
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_synthesis.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt93a.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Diaz93,
+  author = "Diaz, A. and Kaltofen, E. and Lobo, A. and Valente, T.",
+  editor = "A. Miola",
+  title = "Process scheduling in {DSC} and the large sparse linear systems challenge",
+  booktitle = "Proc. DISCO '93",
+  series = "Lect. Notes Comput. Sci.",
+  pages = "66--80",
+  year = "1993",
+  volume = "722",
+  publisher = "Springer-Verlag",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/DHKLV93.pdf",
+  paper = "Diaz93.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Diaz 93]{Diaz93} Diaz, A.; Kaltofen, E.; Lobo, A.; Valente, T.
-``Process scheduling in DSC and the large sparse linear systems challenge''
-in A. Miola (ed) DISCO'93 vol 722 of LNCS pp 66-80 Springer-Verlag
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/DHKLV93.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Diaz93.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt93b,
+  author = "Kaltofen, E.",
+  title = "Direct proof of a theorem by Kalkbrener, Sweedler, and Taylor",
+  journal = "SIGSAM Bulletin",
+  year = "1993",
+  volume = "27",
+  number = "4",
+  pages = "2",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz",
+  paper = "Kalt93b.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 93b]{Kalt93b} Kaltofen, E.
-``Analysis of Coppersmith's block Wiedemann algorithm for the parallel
-solution of sparse linear systems''
-In G. Cohen, T. Mora, O. Moreno (eds) Proc AAECC-10, Vol 673 LNCS
-Heidelberg, Germany (1992) Springer-Verlag
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt94,
+  author = "Kaltofen, E. and Pan, V.",
+  title = "Parallel solution of Toeplitz and Toeplitz-like linear systems over fields of small positive characteristic",
+  booktitle = "Proc. First Internat. Symp. Parallel Symbolic Comput.",
+  crossref = "PASCO94",
+  pages = "225--233",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/KaPa94.pdf",
+  paper = "Kalt94.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 93c]{Kalt93c} Kaltofen, E.
-``Direct proof of a theorem by Kalkbrener, Sweedler, and Taylor''
-SIGSAM Bulletin, 27(4), 1993
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/93/Ka93_sambull.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt93b.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Chan94,
+  author = "Chan, K.C. and Diaz, A. and Kaltofen, E.",
+  editor = "R. J. Lopez",
+  title = "A distributed approach to problem solving in Maple",
+  booktitle = "Maple V: Mathematics and its Application",
+  pages = "13--21",
+  publisher = {Birkh\"auser},
+  year = "1994",
+  series = "Proceedings of the Maple Summer Workshop and Symposium (MSWS'94)",
+  address = "Boston",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/CDK94.ps.gz",
+  paper = "Chan94.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 94]{Kalt94} Kaltofen, E.; Pan, V.
-``Parallel solution of Toeplitz and Toeplitz-like linear systems over fields
-of small positive characteristic''
-PASCO'94 pp 225-233 (1994)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaPa94.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt94.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt94a,
+  author = "Kaltofen, E. and Lobo, A.",
+  title = "Factoring high-degree polynomials by the black box Berlekamp algorithm",
+  booktitle = "Proc. 1994 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC94",
+  pages = "90--98",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/KaLo94.ps.gz",
+  paper = "Kalt94a.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Chan 94]{Chan94} Chan, K.C.; Diaz, A.; Kaltofen, E.
-``A distributed approach to problem solving in Maple''
-in R.J. Lopez (ed) Maple V: Mathmatics and its Application, Proc. Maple
-Summer Workshop and Symposium (MSWS'94) pp 13-21, Boston 1994 Birkh\"auser
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/CDK94.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Chan94.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt94b,
+  author = "Kaltofen, E.",
+  title = "Asymptotically fast solution of {Toeplitz}-like singular linear systems",
+  booktitle = "Proc. 1994 Internat. Symp. Symbolic Algebraic Comput.",
+  pages = "297--304",
+  crossref = "ISSAC94",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/94/Ka94_issac.pdf",
+  paper = "Kalt94b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 94a]{Kalt94a} Kaltofen, E.; Lobo, A.
-``Factoring high-degree polynomials by the black box Berlekamp algorithm''
-ISSAC'94 pp 90-98
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/KaLo94.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt94a.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Sama95,
+  author = "Samadani, M. and Kaltofen, E.",
+  title = "Prediction based task scheduling in distributed computing",
+  booktitle = "Languages, Compilers and Run-Time Systems for Scalable Computers",
+  editor = "B. K. Szymanski and B. Sinharoy",
+  publisher = "Kluwer Academic Publ.",
+  address = "Boston",
+  pages = "317--320",
+  year = "1996",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz",
+  paper = "Sama95.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 94b]{Kalt94b} Kaltofen, E.
-``Asymptotically fast solution of Toeplitz-like singular linear systems''
-ISSAC'94, pp 297-304
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/94/Ka94_issac.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt94b.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt95,
+  author = "Kaltofen, E.",
+  title = "Analysis of {Coppersmith}'s block {Wiedemann} algorithm for the parallel solution of sparse linear systems",
+  journal = "Math. Comput.",
+  year = "1995",
+  volume = "64",
+  number = "210",
+  pages = "777--806",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_mathcomp.pdf",
+  paper = "Kalt95.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Samadani 95]{Sama95} Samadani, M.; Kaltofen, E.
-``Prediction based task scheduling in distributed computing''
-in B.K. Szymanski and B. Sinharoy (ed) Languages, Compilers and Run-Time
-Systems for Scalable Computers, pp 317-329, Boston 1996 Kluwer Academic Publ.
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/SaKa95_poster.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Sama95.ps|
+\begin{chunk}{axiom.bib}
+@InProceedings{Diaz95,
+  author = "Diaz, A. and Kaltofen, E.",
+  title = "On computing greatest common divisors with polynomials given by black boxes for their evaluation",
+  booktitle = "Proc. 1995 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC95",
+  pages = "232--239",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/DiKa95.ps.gz",
+  paper = "Diaz95.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 95]{Kalt95} Kaltofen, E.
-``Analysis of Coppersmith's blcok Wiedemann algorithm for the parallel 
-solution of sparse linear systems''
-Math. Comput. 64(210) pp 777-806 (1995)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_mathcomp.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt95.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt95a,
+  author = "Kaltofen, E. and Shoup, V.",
+  title = "Subquadratic-time factoring of polynomials over finite fields",
+  booktitle = "Proc. 27th Annual ACM Symp. Theory Comput.",
+  year = "1995",
+  publisher = "ACM Press",
+  address = "New York, N.Y.",
+  pages = "398--406",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/KaSh95.ps.gz",
+  paper = "Kalt95a.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Diaz 95]{Diaz95} Diaz, A.; Kaltofen, E.
-``On computing greatest common divisors with polynomials given by black
-boxes for their evaluation''
-ISSAC'95 pp 232-239
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DiKa95.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Diaz95.ps|
+\begin{chunk}{axiom.bib}
+@Article{Hitz95,
+  author = "Kitz, M.A. and Kaltofen, E.",
+  title = "Integer division in residue number systems",
+  journal = "IEEE Trans. Computers",
+  year = "1995",
+  volume = "44",
+  number = "8",
+  pages = "983--989",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/HiKa95.pdf",
+  paper = "Hitz95.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 95a]{Kalt95a} Kaltofen, E.; Shoup, V.
-``Subquadratic-time factoring of polynomials over finite fields''
-Proc. 27th Annual ACM Symp. Theory Comput. pp 398-406 NY (1995) ACM Press
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/KaSh95.ps.gz|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt95a.ps|
+\begin{chunk}{axiom.bib}
+@Article{Diaz95a,
+  author = "Diaz, A. and Hitz, M. and Kaltofen, E. and Lobo, A. and Valtente, T.",
+  title = "Process scheduling in {DSC} and the large sparse linear systems challenge",
+  journal = "Journal of Symbolic Computing",
+  year = "1995",
+  volume = "19",
+  number = "1--3",
+  pages = "269--282",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/DHKLV95.pdf",
+  paper = "Diaz95a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Hitz 95]{Hitz95} Kitz, M.A.; Kaltofen, E.
-``Integer division in residue number systems''
-IEEE Trans. Computers 44(8) pp 983-989 (1995)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/HiKa95.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Hitz95.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt95b,
+  author = "Kaltofen, E.",
+  title = "Effective {Noether} irreducibility forms and applications",
+  journal =  "J. Comput. System Sci.",
+  year = "1995",
+  volume = "50",
+  number = "2",
+  pages = "274--295",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_jcss.pdf",
+  paper = "Kalt95b.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Diaz 95a]{Diaz95a} Diaz, A.; Hitz, M.; Kaltofen, E.; Lobo, A.; 
-Valtente, T.
-``Process scheduling in DSC and the large sparse linear systems challenge''
-J. Symbolic Comput 19(1-3) pp 269-282 (1995)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/DHKLV95.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Diaz95a.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Erli96,
+  author = "Erlingsson, U. and Kaltofen, E. and Musser, D.",
+  title = "Generic {Gram}-{Schmidt} Orthogonalization by Exact Division",
+  booktitle = "Proc. 1996 Internat. Symp. Symbolic Algebraic Comput."
+  crossref = "ISSAC96",
+  pages = "275--282",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/EKM96.pdf",
+  paper = "Erli96.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 95b]{Kalt95b} Kaltofen, E.
-``Effective Noether irreducibility forms and applications''
-J. Comput. System Sci. 50(2) pp 274-295 (1995)
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/95/Ka95_jcss.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt95b.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt96,
+ author = "Kaltofen, E. and Lobo, A.",
+ title = "On rank properties of {Toeplitz} matrices over finite fields",
+  booktitle = "Proc. 1996 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC96",
+  pages = "241--249",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_issac.pdf",
+  paper = "Kalt96.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Erlingsson 96]{Erli96} Erlingsson, U.; Kaltofen, E.; Musser, D.
-``Generic Gram-Schmidt orthgonalization by exact division''
-ISSAC'96 pp 275-282
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/EKM96.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Erli96.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt96a,
+  author = "Kaltofen, E. and Lobo, A.",
+  title = "Distributed matrix-free solution of large sparse linear systems over finite fields",
+  booktitle = "Proc. High Performance Computing '96",
+  year = "1996",
+  editor = "A. M. Tentner",
+  pages = "244--247",
+  organization = "Society for Computer Simulation",
+  publisher = "Simulation Councils, Inc.",
+  address = "San Diego, CA",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_hpc.pdf",
+  paper = "Kalt96a.pdf"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 96]{Kalt96} Kaltofen, E.; Lobo, A.
-``On rank properties of Toeplitz matrices over finite fields''
-ISSAC'96 pp 241-249
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_issac.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt96.pdf|
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt96b,
+  author = "Kaltofen, E.",
+  title = "Blocked iterative sparse linear system solvers for finite fields",
+  booktitle = "Proc. Symp. Parallel Comput. Solving Large Scale Irregular Applic. (Stratagem '96)",
+  editor = "C. Roucairol",
+  publisher = "INRIA",
+  address = "Sophia Antipolis, France",
+  pages = "91--95",
+  year = "1996",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/96/Ka96_stratagem.ps.gz",
+  paper = "Kalt96b.ps"
+}
 
 \end{chunk}
 
-\begin{chunk}{ignore}
-\bibitem[Kaltofen 96a]{Kalt96a} Kaltofen, E.; Lobo, A.
-``Distributed matrix-free solution of large sparse linear systems over finite
-fields''
-in A.M.Tentner (ed) Proc. High Performance Computing'96 pp 244-247 San Diego
-CA (1996) Soc. for Comp. Simultation, Simulation Councils, Inc.
-\verb|www.math.ncsu.edu/~kaltofen/bibliography/96/KaLo96_hpc.pdf|
-%\verb|axiom-developer.org/axiom-website/papers/Kalt96a.pdf|
+\begin{chunk}{axiom.bib}
+@Article{Kalt97,
+  author = "E. Kaltofen",
+  title = "Teaching Computational Abstract Algebra",
+  journal = "Journal of Symbolic Computation",
+  volume = "23",
+  number = "5-6",
+  pages = "503--515",
+  year = "1997",
+  note = "Special issue on education, L. Lambe, editor.",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/97/Ka97_jsc.pdf",
+  keywords = "axiomref,read",
+  paper = "Kalt97.pdf"
+}
+
+\end{chunk}
 
+\begin{adjustwidth}{2.5em}{0pt}
+We report on the contents and pedagogy of a course in abstract algebra
+that was taught with the aid of educational software developed within
+the Mathematica system. We describe the topics covered and the
+didactical use of the corresponding Mathematica packages, as well as
+draw conclusions for future such courses from the students' comments
+and our own experience.
+\end{adjustwidth}
+
+\begin{chunk}{axiom.bib}
+@InProceedings{Kalt97a,
+  author = "Kaltofen, E. and Shoup, V.",
+  title = "Fast polynomial factorization over high algebraic extensions of finite fields",
+  booktitle = "Proc. 1997 Internat. Symp. Symbolic Algebraic Comput.",
+  crossref = "ISSAC97",
+  pages = "184--188",
+  url = "http://www.math.ncsu.edu/~kaltofen/bibliography/97/KaSh97.pdf",
+  paper = "Kalt97a.pdf"
+}
+
+\end{chunk}
+
+\begin{chunk}{ignore}
 \end{chunk}
 
 \eject
diff --git a/changelog b/changelog
index 541a716..9443438 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140918 tpd src/axiom-website/patches.html 20140918.02.tpd.patch
+20140918 tpd books/bookvolbib add references
 20140918 tpd src/axiom-website/patches.html 20140918.01.tpd.patch
 20190918 tpd Makefile rebuild Axiom books using bibtex
 20190918 tpd books/Makefile rebuild Axiom books using bibtex
diff --git a/patch b/patch
index fafe63c..3e6c000 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-rebuild Axiom using bibtex
+books/bookvolbib add references
 
 All of the books now use bibtex format for the biblography.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cefc0b8..f11a25e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4642,6 +4642,8 @@ books/axiom.sty add \sig and \bfref<br/>
 books/bookvol5 begin documenting the interpreter<br/>
 <a href="patches/20140918.01.tpd.patch">20140918.01.tpd.patch</a>
 books/bookvol*pamphlet rebuild Axiom using bibtex<br/>
+<a href="patches/20140918.02.tpd.patch">20140918.02.tpd.patch</a>
+books/bookvolbib add references<br/>
  </body>
 </html>
 
